<html>
  <head>
    <title>DB & PHP test: UPLOAD</title>
  </head>
  <body>
   <?php
	if ($_FILES["personaggi"]["error"] == UPLOAD_ERR_OK) {
		try {
			$connection = new PDO("mysql:host=localhost;dbname=Disneyland","root","");
			$statement = $connection->prepare(" INSERT INTO Personaggi 
												VALUES (:personaggio,:citta)");
			$personaggi = file( $_FILES["personaggi"]["tmp_name"], FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
			foreach ($personaggi as $linea) {
				$dati = explode(",", $linea);
				$personaggio = trim($dati[0]);
				$citta = trim($dati[1]);
				$statement->bindParam(":personaggio", $personaggio, PDO::PARAM_STR);
				$statement->bindParam(":citta", $citta, PDO::PARAM_STR);
				if ($statement->execute())
					echo "Il personaggio $personaggio &egrave; stato aggiunto al database.<br>";
				else
					echo " Errore: il personaggio $personaggio NON &egrave;stato aggiunto al database.<br>";
			}
			$connection = NULL;
		}
		catch (PDOException $exception) {
			echo "Errore nell&quot;accesso al database.<br>";
			die();
		}
	}
	else
		echo "Errore caricamento del file.";
   ?><br>
    <a href="http://localhost/disneyland.php">
      Visualizza elenco personaggi.
    </a>
  </body>
</html>