-- phpMyAdmin SQL Dump
-- version 3.5.2
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generato il: Mag 14, 2013 alle 19:51
-- Versione del server: 5.5.25a
-- Versione PHP: 5.4.4

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `espressi`
--

-- --------------------------------------------------------

--
-- Struttura della tabella `clienti`
--

CREATE TABLE IF NOT EXISTS `clienti` (
  `codice_cliente` int(11) NOT NULL AUTO_INCREMENT,
  `ragione_sociale` varchar(50) NOT NULL,
  `indirizzo` varchar(50) NOT NULL,
  `CAP` varchar(6) NOT NULL,
  `citta` varchar(50) NOT NULL,
  `telefono` varchar(15) DEFAULT NULL,
  `email` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`codice_cliente`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

--
-- Dump dei dati per la tabella `clienti`
--

INSERT INTO `clienti` (`codice_cliente`, `ragione_sociale`, `indirizzo`, `CAP`, `citta`, `telefono`, `email`) VALUES
(1, 'Del Giudice Daniele', 'Via del Mare, 10', '54101', 'Genova', NULL, NULL),
(2, 'Chiocchi Rachele', 'Via della Rosa, 8', '57100', 'Livorno', NULL, NULL),
(3, 'Bernardini Elena', 'Via Garibaldi, 84', '57100', 'Livorno', NULL, NULL),
(4, 'Scotto Filippo', 'Via Marittima, 44', '56100', 'Pisa', NULL, NULL),
(5, 'Serra Gabriele', 'Via Nazionale 12 ', '00120', 'Roma', NULL, NULL);

-- --------------------------------------------------------

--
-- Struttura della tabella `sedi`
--

CREATE TABLE IF NOT EXISTS `sedi` (
  `codice_sede` int(11) NOT NULL AUTO_INCREMENT,
  `indirizzo` varchar(50) NOT NULL,
  `CAP` varchar(6) NOT NULL,
  `citta` varchar(50) NOT NULL,
  `telefono` varchar(15) DEFAULT NULL,
  `email` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`codice_sede`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Dump dei dati per la tabella `sedi`
--

INSERT INTO `sedi` (`codice_sede`, `indirizzo`, `CAP`, `citta`, `telefono`, `email`) VALUES
(1, 'via Verdi 87', '16121', 'Genova', NULL, NULL),
(2, 'via James Joyce 1', '00141', 'Roma', NULL, NULL),
(3, 'Via Settembrini, 10', '57128', 'Livorno', NULL, NULL),
(4, 'Via dell''aeroporto, 12', '56122', 'Pisa', NULL, NULL);

-- --------------------------------------------------------

--
-- Struttura della tabella `spedizioni`
--

CREATE TABLE IF NOT EXISTS `spedizioni` (
  `codice_spedizione` int(11) NOT NULL AUTO_INCREMENT,
  `data_spedizione` datetime DEFAULT NULL,
  `data_consegna` datetime DEFAULT NULL,
  `peso` decimal(10,1) DEFAULT NULL,
  `costo` decimal(10,2) DEFAULT NULL,
  `mittente` int(11) DEFAULT NULL,
  `destinatario` int(11) DEFAULT NULL,
  `partenza` int(11) DEFAULT NULL,
  `arrivo` int(11) DEFAULT NULL,
  PRIMARY KEY (`codice_spedizione`),
  KEY `fk1` (`mittente`),
  KEY `fk2` (`destinatario`),
  KEY `fk3` (`partenza`),
  KEY `fk4` (`arrivo`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=10 ;

--
-- Dump dei dati per la tabella `spedizioni`
--

INSERT INTO `spedizioni` (`codice_spedizione`, `data_spedizione`, `data_consegna`, `peso`, `costo`, `mittente`, `destinatario`, `partenza`, `arrivo`) VALUES
(2, '2013-05-02 10:30:53', NULL, 11.5, 22.00, 1, 2, 1, 3),
(3, '2013-04-09 09:00:00', '2013-04-14 11:00:00', 10.0, 15.00, 2, 4, 3, 4),
(4, '2013-04-18 12:00:00', '2013-04-22 13:00:00', 2.0, 5.00, 1, 5, 1, 2),
(5, '2013-05-09 09:00:00', '2013-05-11 18:00:00', 0.5, 4.00, 3, 1, 3, 1),
(6, '2013-05-13 15:00:00', '2013-05-14 18:26:31', 1.0, 5.00, 5, 3, 2, 3),
(7, '2013-05-14 17:06:55', NULL, 1.0, 5.00, 1, 3, 1, 3),
(8, '2013-05-14 18:20:20', NULL, 2.0, 11.00, 1, 5, 1, 2),
(9, '2013-05-14 19:15:25', NULL, 2.0, 4.00, 2, 1, 3, 1);

--
-- Limiti per le tabelle scaricate
--

--
-- Limiti per la tabella `spedizioni`
--
ALTER TABLE `spedizioni`
  ADD CONSTRAINT `fk1` FOREIGN KEY (`mittente`) REFERENCES `clienti` (`codice_cliente`),
  ADD CONSTRAINT `fk2` FOREIGN KEY (`destinatario`) REFERENCES `clienti` (`codice_cliente`),
  ADD CONSTRAINT `fk3` FOREIGN KEY (`partenza`) REFERENCES `sedi` (`codice_sede`),
  ADD CONSTRAINT `fk4` FOREIGN KEY (`arrivo`) REFERENCES `sedi` (`codice_sede`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
